Package Details: python-vint 0.3.18-2

Git Clone URL: https://aur.archlinux.org/python-vint.git (read-only)
Package Base: python-vint
Description: VimL Linter
Upstream URL: https://github.com/Kuniwak/vint/
Keywords: lint vim
Licenses: MIT
Submitter: darnir
Maintainer: darnir
Last Packager: darnir
Votes: 4
Popularity: 0.168315
First Submitted: 2016-01-24 07:31
Last Updated: 2018-04-23 20:15

Latest Comments

polyzen commented on 2018-04-23 20:25

No issues with the download; it's to avoid clobbering in ones SRCDEST (makepkg.conf option).

darnir commented on 2018-04-23 20:14

A bunch of good suggestions! Thanks.

I missed updating this package when I updated python-ansicolor. That's my fault. And I have no idea why I started this PKGREL at 0. Fixed it.

It already downloads correctly, so I don't see what the need is to add the filename for the source explicitly.

Also, thanks for the tip about --skip-build. Did not know about that.

polyzen commented on 2018-04-22 05:49

Please also add --skip-build to python setup.py install to avoid rebuilding the Python package.

polyzen commented on 2018-04-22 05:40

Please change the python-ansicolor version req. to >=0.2.4 to comply better with upstream's use of ~= 0.2.4, and allow one to upgrade their python-ansicolor package.

PS: Please also use a package-specific filename for the source, eg.: source=("vint-$pkgver.tar.gz::$url/archive/v$pkgver.tar.gz")

PPS: pkgrel's generally start at 1. :p

petRUShka commented on 2017-09-28 22:03

Same error:

curl: (22) The requested URL returned error: 404 Not Found
==> ERROR: Failure while downloading https://github.com/Kuniwak/vint/archive/0.3.14.tar.gz
Aborting...
==> ERROR: Makepkg was unable to build python-vint.

kodemeister commented on 2017-09-20 00:13

==> ERROR: Failure while downloading https://github.com/Kuniwak/vint/archive/0.3.14.tar.gz

The correct URL is:

https://github.com/Kuniwak/vint/archive/v0.3.14.tar.gz

(note missed "v" character before 0.3.14.tar.gz)

blueyed commented on 2017-06-03 14:25

The issue with chardet was fixed upstream.
The package should be updated.

aklt commented on 2017-05-31 20:38

Hi,

I installed this package and it was placed under python3 site-packages. Running it I get an error:

# vint
Traceback (most recent call last):
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 654, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 968, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 859, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (chardet 3.0.3 (/usr/lib/python3.6/site-packages), Requirement.parse('chardet~=2.3.0'), {'vim-vint'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/vint", line 6, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3036, in <module>
@_call_aside
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3020, in _call_aside
f(*args, **kwargs)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 3049, in _initialize_master_working_set
working_set = WorkingSet._build_master()
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 656, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 669, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.6/site-packages/pkg_resources/__init__.py", line 854, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'chardet~=2.3.0' distribution was not found and is required by vim-vint